<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: SimulationMessenger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>SimulationMessenger Class Reference</h1><!-- doxytag: class="SimulationMessenger" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to store and provide variables which are needed in different parts of the simulation.  
</p>

<p><a href="classSimulationMessenger-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a0ef8ad3aedb529d4f19475a432db1aa4">SimulationMessenger</a> (<a class="el" href="classGODDeSS__Messenger.html">GODDeSS_Messenger</a> *goddess_messenger)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#ae4b2ff77fffe756e45f4549a058a1aa7">~SimulationMessenger</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#ad581e8674a9ed06953ebfe90efbab40a">GetControlFileName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a5f041b90e6c19911803e86644b359586">GetDataFileName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGODDeSS__Messenger.html">GODDeSS_Messenger</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a7ecfcfae3718fc7472b321d0fbdd006a">GetGoddessMessenger</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a67bb233df0875a7c37cc7a85d2bd92cd">GetGPSFileName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a166a5bbafa318fdd1bfdc2790efc2a01">GetLightGuidingFibrePropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classUserRunInformation.html">UserRunInformation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a9055664d2ba5209a02afe60374539ec0">GetRunInformation</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#abf035d95e476eda73db00718df18b2fb">GetScintiFibrePropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#afb3e8e52045b2ff531e0e425684245f6">GetScintillatorDimensions</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a9b6cab3786e7097d134aa317ac976358">GetScintillatorPropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a9f9b8b8d1e5dd5f742c5a30ab90b782a">GetSearchOverlaps</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#ac4b85f057fe9dd91af6b5031541a4a0b">GetTrackPhotons</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#abddbd13789b59222c86a91f24f9a36c6">GetTwinTileReflectorPropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#aee5f8cc68ae19826797189667e48b246">GetUsePhotonListSource</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a6591d5245f6d0c0f74a62d61f63788e7">GetWLSFibrePropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#afd8b02bb7aac25f9985d3100b45a480a">GetWrappingPropertyFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a4567423bd77a473cee047925244137e9">SetControlFileName</a> (G4String controlFileName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#afb8c9049e60cef3e1c6d68c1d15c66ee">SetDataFileName</a> (G4String dataFileName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a58f0ede9e0deee99964dbff39c62c8e6">SetGPSFileName</a> (G4String gpsFileName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a1bb7bbe5574bb7d91989f73e5267b57c">SetLightGuidingFibrePropertyFile</a> (G4String fibrePropertyFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a9e86855c96a29d6829549deb75a96e01">SetNewValue</a> (G4UIcommand *, G4String)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a7ba254949587c81bd2147d83021a9262">SetRunInformation</a> (<a class="el" href="classUserRunInformation.html">UserRunInformation</a> *runInformation)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a8cee5054262d7d12fb388c4bdf079897">SetScintiFibrePropertyFile</a> (G4String fibrePropertyFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a1b375cd52af24aa632a85f4cab6eccd9">SetScintillatorDimensions</a> (G4ThreeVector scintillatorDimensions)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a6ae1805127acafd69e9a8fff1c2981ee">SetScintillatorPropertyFile</a> (G4String scintillatorPropertyFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#aed21e286bdadb081cf6c1001725311d4">SetSearchOverlaps</a> (G4bool searchOverlaps)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a63309db0f34fe2973ff251a50bcf7b50">SetTrackPhotons</a> (G4bool trackPhotons)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#afb33577bff8240f3a559c90d859e4570">SetTwinTileReflectorPropertyFile</a> (G4String twinTileReflectorPropertyFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a1ddb48c9043b7e1304d0edee3e91e445">SetUsePhotonListSource</a> (G4bool usePhotonListSource)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a2d7de0fa8a03e817b07f372f7cdc75f4">SetWLSFibrePropertyFile</a> (G4String fibrePropertyFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSimulationMessenger.html#a06a3e99a03a18fd7f63ea113106aa283">SetWrappingPropertyFile</a> (G4String wrappingPropertyFile)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0ef8ad3aedb529d4f19475a432db1aa4"></a><!-- doxytag: member="SimulationMessenger::SimulationMessenger" ref="a0ef8ad3aedb529d4f19475a432db1aa4" args="(GODDeSS_Messenger *goddess_messenger)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SimulationMessenger::SimulationMessenger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGODDeSS__Messenger.html">GODDeSS_Messenger</a> *&nbsp;</td>
          <td class="paramname"> <em>goddess_messenger</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>creates commands for operating in the interactive mode </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>goddess_messenger</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae4b2ff77fffe756e45f4549a058a1aa7"></a><!-- doxytag: member="SimulationMessenger::~SimulationMessenger" ref="ae4b2ff77fffe756e45f4549a058a1aa7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SimulationMessenger::~SimulationMessenger </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor:</p>
<ul>
<li>deletes the command objects </li>
</ul>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad581e8674a9ed06953ebfe90efbab40a"></a><!-- doxytag: member="SimulationMessenger::GetControlFileName" ref="ad581e8674a9ed06953ebfe90efbab40a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetControlFileName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file which the simulation results should be written to </dd></dl>

</div>
</div>
<a class="anchor" id="a5f041b90e6c19911803e86644b359586"></a><!-- doxytag: member="SimulationMessenger::GetDataFileName" ref="a5f041b90e6c19911803e86644b359586" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetDataFileName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file which the (shortened) simulation results should be written to </dd></dl>

</div>
</div>
<a class="anchor" id="a7ecfcfae3718fc7472b321d0fbdd006a"></a><!-- doxytag: member="SimulationMessenger::GetGoddessMessenger" ref="a7ecfcfae3718fc7472b321d0fbdd006a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGODDeSS__Messenger.html">GODDeSS_Messenger</a>* SimulationMessenger::GetGoddessMessenger </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </dd></dl>

</div>
</div>
<a class="anchor" id="a67bb233df0875a7c37cc7a85d2bd92cd"></a><!-- doxytag: member="SimulationMessenger::GetGPSFileName" ref="a67bb233df0875a7c37cc7a85d2bd92cd" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetGPSFileName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the particle source's settings </dd></dl>

</div>
</div>
<a class="anchor" id="a166a5bbafa318fdd1bfdc2790efc2a01"></a><!-- doxytag: member="SimulationMessenger::GetLightGuidingFibrePropertyFile" ref="a166a5bbafa318fdd1bfdc2790efc2a01" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetLightGuidingFibrePropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the light-guiding fibre's properties. </dd></dl>

</div>
</div>
<a class="anchor" id="a9055664d2ba5209a02afe60374539ec0"></a><!-- doxytag: member="SimulationMessenger::GetRunInformation" ref="a9055664d2ba5209a02afe60374539ec0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classUserRunInformation.html">UserRunInformation</a>* SimulationMessenger::GetRunInformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classUserRunInformation.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Class to save the...">UserRunInformation</a> </dd></dl>

</div>
</div>
<a class="anchor" id="abf035d95e476eda73db00718df18b2fb"></a><!-- doxytag: member="SimulationMessenger::GetScintiFibrePropertyFile" ref="abf035d95e476eda73db00718df18b2fb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetScintiFibrePropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the scintillating fibre's properties </dd></dl>

</div>
</div>
<a class="anchor" id="afb3e8e52045b2ff531e0e425684245f6"></a><!-- doxytag: member="SimulationMessenger::GetScintillatorDimensions" ref="afb3e8e52045b2ff531e0e425684245f6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector SimulationMessenger::GetScintillatorDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>dimensions of the scintillator tiles to be used in the simulation (if nothing is set, default values (defined in the <a class="el" href="classDetectorConstruction.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Builds the simulated...">DetectorConstruction</a>) will be used) </dd></dl>

</div>
</div>
<a class="anchor" id="a9b6cab3786e7097d134aa317ac976358"></a><!-- doxytag: member="SimulationMessenger::GetScintillatorPropertyFile" ref="a9b6cab3786e7097d134aa317ac976358" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetScintillatorPropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the scintillator tile's properties </dd></dl>

</div>
</div>
<a class="anchor" id="a9f9b8b8d1e5dd5f742c5a30ab90b782a"></a><!-- doxytag: member="SimulationMessenger::GetSearchOverlaps" ref="a9f9b8b8d1e5dd5f742c5a30ab90b782a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool SimulationMessenger::GetSearchOverlaps </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, whether Geant4 should search for overlaps when placing the physical volumes </dd></dl>

</div>
</div>
<a class="anchor" id="ac4b85f057fe9dd91af6b5031541a4a0b"></a><!-- doxytag: member="SimulationMessenger::GetTrackPhotons" ref="ac4b85f057fe9dd91af6b5031541a4a0b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool SimulationMessenger::GetTrackPhotons </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, whether optical photons should be tracked in the simulaton (if "false", optical photons are killed in their first step) </dd></dl>

</div>
</div>
<a class="anchor" id="abddbd13789b59222c86a91f24f9a36c6"></a><!-- doxytag: member="SimulationMessenger::GetTwinTileReflectorPropertyFile" ref="abddbd13789b59222c86a91f24f9a36c6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetTwinTileReflectorPropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the properties of the scintillator twin tile reflector </dd></dl>

</div>
</div>
<a class="anchor" id="aee5f8cc68ae19826797189667e48b246"></a><!-- doxytag: member="SimulationMessenger::GetUsePhotonListSource" ref="aee5f8cc68ae19826797189667e48b246" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool SimulationMessenger::GetUsePhotonListSource </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, whether a list of photons or the "normal" particle source should be used for the simulation </dd></dl>

</div>
</div>
<a class="anchor" id="a6591d5245f6d0c0f74a62d61f63788e7"></a><!-- doxytag: member="SimulationMessenger::GetWLSFibrePropertyFile" ref="a6591d5245f6d0c0f74a62d61f63788e7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetWLSFibrePropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the wavelength-shifting fibre's properties </dd></dl>

</div>
</div>
<a class="anchor" id="afd8b02bb7aac25f9985d3100b45a480a"></a><!-- doxytag: member="SimulationMessenger::GetWrappingPropertyFile" ref="afd8b02bb7aac25f9985d3100b45a480a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String SimulationMessenger::GetWrappingPropertyFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path to the file containing the wrapping's properties </dd></dl>

</div>
</div>
<a class="anchor" id="a4567423bd77a473cee047925244137e9"></a><!-- doxytag: member="SimulationMessenger::SetControlFileName" ref="a4567423bd77a473cee047925244137e9" args="(G4String controlFileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetControlFileName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>controlFileName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set path to the file which the simulation results should be written to. </p>

</div>
</div>
<a class="anchor" id="afb8c9049e60cef3e1c6d68c1d15c66ee"></a><!-- doxytag: member="SimulationMessenger::SetDataFileName" ref="afb8c9049e60cef3e1c6d68c1d15c66ee" args="(G4String dataFileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetDataFileName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>dataFileName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set path to the file which the (shortened) simulation results should be written to. </p>

</div>
</div>
<a class="anchor" id="a58f0ede9e0deee99964dbff39c62c8e6"></a><!-- doxytag: member="SimulationMessenger::SetGPSFileName" ref="a58f0ede9e0deee99964dbff39c62c8e6" args="(G4String gpsFileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetGPSFileName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>gpsFileName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set path to the file containing the particle source's settings. </p>

</div>
</div>
<a class="anchor" id="a1bb7bbe5574bb7d91989f73e5267b57c"></a><!-- doxytag: member="SimulationMessenger::SetLightGuidingFibrePropertyFile" ref="a1bb7bbe5574bb7d91989f73e5267b57c" args="(G4String fibrePropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetLightGuidingFibrePropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>fibrePropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the light-guiding fibre's properties. </p>

</div>
</div>
<a class="anchor" id="a9e86855c96a29d6829549deb75a96e01"></a><!-- doxytag: member="SimulationMessenger::SetNewValue" ref="a9e86855c96a29d6829549deb75a96e01" args="(G4UIcommand *, G4String)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetNewValue </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>command</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>newValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the action of the commands.<br/>
 <b> It will be executed by GEANT4, when a command (created by this class) is called in the interactive mode. </b> </p>

</div>
</div>
<a class="anchor" id="a7ba254949587c81bd2147d83021a9262"></a><!-- doxytag: member="SimulationMessenger::SetRunInformation" ref="a7ba254949587c81bd2147d83021a9262" args="(UserRunInformation *runInformation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetRunInformation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classUserRunInformation.html">UserRunInformation</a> *&nbsp;</td>
          <td class="paramname"> <em>runInformation</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the pointer to the <a class="el" href="classUserRunInformation.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Class to save the...">UserRunInformation</a>. </p>

</div>
</div>
<a class="anchor" id="a8cee5054262d7d12fb388c4bdf079897"></a><!-- doxytag: member="SimulationMessenger::SetScintiFibrePropertyFile" ref="a8cee5054262d7d12fb388c4bdf079897" args="(G4String fibrePropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetScintiFibrePropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>fibrePropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the scintillating fibre's properties. </p>

</div>
</div>
<a class="anchor" id="a1b375cd52af24aa632a85f4cab6eccd9"></a><!-- doxytag: member="SimulationMessenger::SetScintillatorDimensions" ref="a1b375cd52af24aa632a85f4cab6eccd9" args="(G4ThreeVector scintillatorDimensions)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetScintillatorDimensions </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillatorDimensions</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the dimensions of the scintillator tiles used in the simulation. If nothing is set, default values (defined in the <a class="el" href="classDetectorConstruction.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Builds the simulated...">DetectorConstruction</a>) will be used. </p>

</div>
</div>
<a class="anchor" id="a6ae1805127acafd69e9a8fff1c2981ee"></a><!-- doxytag: member="SimulationMessenger::SetScintillatorPropertyFile" ref="a6ae1805127acafd69e9a8fff1c2981ee" args="(G4String scintillatorPropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetScintillatorPropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillatorPropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the scintillator tile's properties. </p>

</div>
</div>
<a class="anchor" id="aed21e286bdadb081cf6c1001725311d4"></a><!-- doxytag: member="SimulationMessenger::SetSearchOverlaps" ref="aed21e286bdadb081cf6c1001725311d4" args="(G4bool searchOverlaps)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetSearchOverlaps </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set whether Geant4 should search for overlaps when placing the physical volumes </p>

</div>
</div>
<a class="anchor" id="a63309db0f34fe2973ff251a50bcf7b50"></a><!-- doxytag: member="SimulationMessenger::SetTrackPhotons" ref="a63309db0f34fe2973ff251a50bcf7b50" args="(G4bool trackPhotons)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetTrackPhotons </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>trackPhotons</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set whether optical photons should be tracked in the simulaton. (If "false", optical photons are killed in their first step.) </p>

</div>
</div>
<a class="anchor" id="afb33577bff8240f3a559c90d859e4570"></a><!-- doxytag: member="SimulationMessenger::SetTwinTileReflectorPropertyFile" ref="afb33577bff8240f3a559c90d859e4570" args="(G4String twinTileReflectorPropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetTwinTileReflectorPropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>twinTileReflectorPropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the properties of the scintillator twin tile reflector. </p>

</div>
</div>
<a class="anchor" id="a1ddb48c9043b7e1304d0edee3e91e445"></a><!-- doxytag: member="SimulationMessenger::SetUsePhotonListSource" ref="a1ddb48c9043b7e1304d0edee3e91e445" args="(G4bool usePhotonListSource)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetUsePhotonListSource </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>usePhotonListSource</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set whether a list of photons or the "normal" particle source should be used for the simulation. </p>

</div>
</div>
<a class="anchor" id="a2d7de0fa8a03e817b07f372f7cdc75f4"></a><!-- doxytag: member="SimulationMessenger::SetWLSFibrePropertyFile" ref="a2d7de0fa8a03e817b07f372f7cdc75f4" args="(G4String fibrePropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetWLSFibrePropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>fibrePropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the wavelength-shifting fibre's properties. </p>

</div>
</div>
<a class="anchor" id="a06a3e99a03a18fd7f63ea113106aa283"></a><!-- doxytag: member="SimulationMessenger::SetWrappingPropertyFile" ref="a06a3e99a03a18fd7f63ea113106aa283" args="(G4String wrappingPropertyFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SimulationMessenger::SetWrappingPropertyFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrappingPropertyFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the path to the file containing the wrapping's properties. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
